/* --- ESTILOS DEL HEADER Y EL FOOTER */
@import url("../../../GlobalElements/HeaderFooter/css/stylesHeaderFooter.css");
@import url("../../../GlobalElements/Sponsors/css/styles_sponsors.css");
/* ---------------------------------------------------------------- */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box; 
}

body {
  font-size: 1em;
  font-family: 'Nunito', 'Roboto', sans-serif;
  overflow-x: hidden;
}

ul {
  list-style: none; 
}

a {
  text-decoration: none;
  color: #000; 
}

.line {
  border-bottom: 2px solid #736B02; 
}


/* ESTILOS DEL CUERPO DE LA PAGINA */

.wrapper {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column; 
  background-color: #F4F4F4;
}

.container-wrapper {
  width: 100%;
  display: flex;
  justify-content: space-around;
  align-items: flex-start;
  flex-direction: row;
}

main {
  width: 80%;
  height: 100%;
  margin-bottom: 6rem;
}

main .main-container {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: column;
}

.news-events_title {
  text-align: center;
  width: 100%;
  font-size: 3rem;
  font-family: 'Nunito', 'Roboto', sans-serif;
  font-weight: 400;
  margin-top: 1rem;
  margin-bottom: 1.5rem;
}

.news-events {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.news-events .container {
  width: 95%;
  height: 100%;
}

.wrapper_news-events {
  width: 100%;
  height: 100%;
  display: grid;
  grid-template-columns: repeat(4, 4fr);
  gap: 1.5rem;
  row-gap: 3rem;
}

/* estilos de los eventos/novedades */
.event {
  min-width: 298px;
  min-height: 350px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: .5rem;
}

.event-subtitle {
  font-size: 1.4rem;
  font-weight: 500;
  margin-bottom: .5rem;
  text-align: center;
}

.event .container-event {
  border-radius: 5px;
  max-width: 327px;
  max-height: 297px;
  width: 100%;
  height: 100%;
  position: relative;
}

.container-event img {
  max-width: 320px;
  max-height: 297px;
  width: 100%;
  height: 100%;
  object-fit: fill;
  border-radius: 5px;
}

.event-description {
  max-width: 320px;
  border-radius: 5px;
  bottom: 0;
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 0;
  transition: .2s all ease;
  font-family: 'Roboto', 'Nunito', sans-serif;
  font-weight: 300;
  font-size: 1.2;
}

.event-description .text-description {
  text-align: center;
}

.event-description:hover {
  opacity: 1;
  background-color: #736B02A2;
  transition: .2s all ease;
  color: #fff;
  cursor: pointer;
  z-index: 100;
}

/* Eventos y novedades maximizado */
.news-events-max {
  width: 100vw;
  height: 100%;

  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background-color: #00000083;
  z-index: 1000;
  position: fixed;
  top: 0;
  left: 0;
}

/* .news-events-max[-data-enabled="true"] {
  display: block;
}

.news-events-max[-data-enabled="false"] {
  display: none;
} */

.news-events-max.close-modal-p {
  display: none;
}

.news-events-max.active-modal {
  display: flex;
}

.max-image-container {
  min-width: 1013px;
  max-width: 1013px;
  max-height: 1363px;
  width: 50%;
  height: 90%;
  background-color: #fff;
  border-radius: 5px;

  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: column;

  position: relative;
  transition: .2s all ease-in-out;
  overflow-y: scroll;
}

.modal-container {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: column;
  width: 87%;
  margin-top: 2rem;
  padding: 1rem;
}

.maximized-img {
  width: 100%;
  height: 90%;
  border-radius: 5px;
  max-width: 870px;
  max-height: 743px;
  object-fit: fill;
}

.modal-title {
  text-align: center;
  font-size: 2rem;
  font-weight: 300;
  margin: 1rem 0;
  
}

.container-description-modal {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  /* margin-top: .5rem; */
}

.modal-text-description {
  margin: .8rem 0;
  font-size: 1rem;
  line-height: 30px;
  text-align: justify;
  width: 100%;
}

.container-btn-modal {
  width: 100%;
  display: flex;
  justify-content: flex-start;
}

.close-modal {
  width: 50px;
  height: 50px;
  background-color: rgb(167, 7, 7);
  color: #fff;
  border: none;
  border-radius: 5px;
  z-index: 2000;
  font-size: 2rem;
  /* padding: .5rem; */
  cursor: pointer;
  transition: .2s all ease-in-out;

  display: flex;
  justify-content: center;
  align-items: center;
}

.close-modal:hover {
  background-color: rgb(107, 5, 5);
  transition: .2s all ease-in-out;
}



@media only screen and (max-width: 3440px) {
  .wrapper .container-wrapper main .main-container .news-events .container .wrapper_news-events  {
    grid-template-columns: repeat(5, 4fr);
  }

  .wrapper .container-wrapper main .main-container .news-events .container .wrapper_news-events .event  {
    min-height: 400px;
  }
}

@media only screen and (max-width: 1980px) {
  .wrapper .container-wrapper main .main-container .news-events .container .wrapper_news-events  {
    grid-template-columns: repeat(4, 4fr);
  }

  .wrapper .container-wrapper main .main-container .news-events .container .wrapper_news-events .events  {
    max-width: 335px;
    max-height: 244px;
  }
}

@media only screen and (max-width: 1920px) {
  .wrapper .container-wrapper main .main-container .news-events .container .wrapper_news-events .event  {
    min-height: 370px;
  }
}

@media only screen and (max-width: 1576px) {
  .wrapper .container-wrapper main .main-container .news-events .container .wrapper_news-events  {
    grid-template-columns: repeat(3, 4fr);
    justify-content: center;
  }

  .wrapper .container-wrapper main .main-container .news-events .container .wrapper_news-events .event  {
    min-width: 200px;
    min-height: 200px;
    width: 260px;
    height: 270px;
  }

  .wrapper .container-wrapper main .main-container .news-events .container .wrapper_news-events .event .event-subtitle  {
    font-size: 1rem;
  }

  .wrapper .container-wrapper main .main-container .news-events .container .wrapper_news-events .event .container-event  {
    min-height: 250px;
  }
}

@media screen and (max-width: 1210px) {
    /* estilos modal */
    .close-modal {
      width: 40px;
      height: 40px;
    }
  
    .close-modal i {
      font-size: 1.2rem;
    }
  
    .modal-title {
      margin-bottom: 2rem;
    }
  
    .max-image-container {
      min-width: 800px;
      max-width: 800px;
    }
  
    .modal-container {
      margin-top: 1rem;
      width: 95%;
    }
}

@media only screen and (max-width: 1140px) {
  .wrapper .container-wrapper {
    flex-direction: column;
  }

  /* estilos modal */
  .close-modal {
    width: 40px;
    height: 40px;
  }

  .close-modal i {
    font-size: 1.2rem;
  }

  .modal-title {
    margin-bottom: 2rem;
  }

  .max-image-container {
    min-width: 800px;
    max-width: 800px;
  }

  .modal-container {
    margin-top: 1rem;
    width: 95%;
  }
}

@media only screen and (max-width: 940px) {
  .wrapper .news-events_title {
    font-size: 2rem;
    font-weight: 600;
  }

  .wrapper .container-wrapper main .main-container .news-events .container .wrapper_news-events  {
    grid-template-columns: repeat(2, 4fr);
  }

  .wrapper .container-wrapper main .main-container .news-events .container .wrapper_news-events .event  {
    margin: 0 auto;
  }
}

@media only screen and (max-width: 850px) {
  .max-image-container {
    min-width: 95%;
    max-width: 95%;
    width: 100%;
  }
}

@media only screen and (max-width: 620px) {
  .wrapper .container-wrapper main .main-container .news-events .container .wrapper_news-events  {
    grid-template-columns: repeat(1, 4fr);
  }
  
  .wrapper .container-wrapper main .main-container .news-events .container .wrapper_news-events .event .container-event  {
    min-height: auto;
  }
  
  .wrapper .container-wrapper main .main-container .news-events .container .wrapper_news-events .event  {
    width: 380px;
    height: 320px;
    /* margin-bottom: 3rem; */
  }

  .wrapper .container-wrapper main .main-container .news-events .container .wrapper_news-events .event .container-event .event-img {
    object-fit: fill;
    max-width: 380px;
    max-height: 320px;
  }

  .wrapper .container-wrapper main .main-container .news-events .container .wrapper_news-events .event .container-event .event-description  {
    max-width: 380px;
  }

  .wrapper .container-wrapper main .main-container .news-events .container .wrapper_news-events .event .container-event .event-description .text-description  {
    font-size: .9rem;
  }
}

@media only screen and (max-width: 500px) {
  .max-image-container {
    min-width: 95%;
    max-width: 95%;
    width: 100%;
  }

  .modal-title {
    font-size: 1.5rem;
    margin: 1rem 0;
  }
}

@media only screen and (max-width: 480px) {
  .wrapper .container-wrapper aside .aside-container .sponsors figure a img {
    width: 250px;
  }
}

@media screen and (max-width: 350px) {
  .wrapper .container-wrapper main .main-container .news-events .container .wrapper_news-events .event {
    width: 100%;
  }
}

@media screen and (max-width: 300px) {
  .wrapper .container-wrapper main .main-container .news-events .container .wrapper_news-events .event  {
    width: 270px;
    height: 270px;
  }
}

/* Estilos y mediaqueries del buscador */
.modal-searchbox {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 999;
}

.modal-search {
  background: none;
  border: none;
  width: 100%;
  margin-left: 10px;
}

.results-container,
.modal-results-container {
  width: 100%;
  max-width: 1265px;
}

.results-container .section-title,
.modal-results-container .section-title {
  font-family: 'Nunito', sans-serif;
  font-size: 1.8rem;
}

.modal-content .container {
  max-width: 1265px;
  width: 100%;
  display: flex;
  flex-direction: row-reverse;
  justify-content: space-between;
  align-items: center;
  margin-top: 2.56rem;
}

.search-container {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;

  border-radius: 15px;
  background: #F1F1F1;
  box-shadow: 0px 2px 10px 1px rgba(0, 0, 0, 0.25);
  border: none;
  width: 100%;
  padding: .44rem .63rem;
}

.modal-content {
  background: rgba(241, 241, 241, 0.95);
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  max-width: 1536px;
  max-height: 80%;
  width: 100%;
  overflow: auto;
  position: relative;
  display: flex;
  justify-content: flex-start;;
  align-items: center;
  flex-direction: column;
  margin: 2rem;
  gap: 3.75rem;
  position: relative;
}

.modal-content .modal-list {
  padding: 0;
  margin: 0;
  margin-left: 1rem;
}

.modal-content .modal-list .modal-link {
  color: #000;
  text-decoration: none;
  transition: .2s all ease-in-out;
}

.modal-content .modal-list .modal-link:hover {
  color: #736b02;
  transition: .2s all ease-in-out;
}

.modal-content .modal-list li {
  margin-bottom: 5px;
  color: #000;
  font-family: 'Nunito', sans-serif;
}

.item-title {
  text-decoration: underline;
}

.modal-content button.close-button {
  padding: 5px 10px;
  cursor: pointer;
  background-color: none;
  border: none;
  border-radius: 4px;
  font-size: 25px;
  color: #FF0000;
  background: none;
  margin-left: 2.5rem;
  transition: .2s all ease-in-out;
}

.modal-content button.close-button:hover {
  transition: .2s all ease-in-out;
  color: #d30303;
}

.scroll-to-top {
  position: fixed;
  bottom: 120px;
  /* right: 30px; */
  z-index: 1000;
  padding: 10px 15px;
  background-color: #736b02;
  color: white;
  border: none;
  cursor: pointer;
  font-size: 25px;
  transition: .2s all ease-in-out;
  border-radius: 100%;
  box-shadow: 10px 10px 39px -2px rgba(0,0,0,0.25);
  -webkit-box-shadow: 10px 10px 39px -2px rgba(0,0,0,0.25);
  -moz-box-shadow: 10px 10px 39px -2px rgba(0,0,0,0.25);
  width: 50px;
  height: 50px;
}

.scroll-to-top:hover {
  background-color: #554f02;
  transition: .2s all ease-in-out;
}

.modal-searchbox {
  display: none;
}

/* RESPONSIVE */
@media screen and (max-width: 1412px) {
  .results-container, .modal-results-container {
      max-width: 1240px;
      margin-left: 1rem;
  }
}
@media screen and (max-width: 800px) {
  .modal-content {
      gap: 1.8rem;
  }

  .modal-content .container {
      margin-top: 1.2rem;
  }
}

@media screen and (max-width: 380px) {
  .modal-content button.close-button {
      margin-left: .5rem;
      font-size: 20px;
  }

  .results-container .section-title,
  .modal-results-container .section-title  {
      font-size: 1.4rem;
  }
}